Summary:    Mellanox firmware burning tool
Name:       mstflint
Version:    4.21.0
Release:    3%{?dist}
License:    GPLv2+ or BSD
Url:        https://github.com/Mellanox/%{name}
Source0:    %{url}/releases/download/v%{version}-1/%{name}-%{version}-1.tar.gz

Patch3000:  add-default-link-flags-for-shared-libraries.patch
Patch3001:  replace-mlxfwreset-with-mstfwreset-in-mstflint-message.patch

BuildRequires: libstdc++-devel zlib-devel libibmad-devel gcc-c++ gcc make
BuildRequires: libcurl-devel boost-devel libxml2-devel openssl-devel libtool autoconf automake
Requires:    python3

%description
This package contains firmware update tool, vpd dump and register dump tools for network adapters
based on Mellanox Technologies chips.

%prep
%autosetup -n %{name}-%{version} -p1
find . -type f -iname '*.[ch]' -exec chmod a-x '{}' ';'
find . -type f -iname '*.cpp' -exec chmod a-x '{}' ';'

%build
./autogen.sh
%configure --enable-fw-mgr
%make_build

%install
%make_install

rm -fr %{buildroot}%{_includedir}
find %{buildroot} -type f -name '*.la' -delete
find %{buildroot} -type f -name '*.a' -delete

%files
%doc README
%{_sysconfdir}/mstflint
%_bindir/*
%{_libdir}/mstflint
%{_datadir}/mstflint
%{_mandir}/man1/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.21.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.21.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 4.21.0-1
- initial build
